using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WebAPIBase.NetCore.BusinessCore
{
    public sealed class ApplicationConfiguration
    {
        private static string m_DBConnectionString;

        private static string m_DBType;

        private static string m_EntityDefinePath;

        public static string DBType => m_DBType;

        public static string DBConnectionString => m_DBConnectionString;

        public static string EntityDefinePath => m_EntityDefinePath;

        private ApplicationConfiguration()
        {
        }

        public static void SetAppConfiguration(IAppConfigSetter setter)
        {
            m_DBConnectionString = setter.GetDBConnectionString();
            m_EntityDefinePath = setter.GetEntityDefinePath();
            m_DBType = setter.GetDBType();
        }
    }
}
